corda / net.corda.flows / TwoPartyDealFlow / Acceptor

# Acceptor

`class Acceptor : Secondary<AutoOffer>`

One side of the flow for inserting a pre-agreed deal.

### Constructors

<init> | `Acceptor(otherParty: Party, progressTracker: ProgressTracker = Secondary.tracker())` One side of the flow for inserting a pre-agreed deal.

### Properties

otherParty | `open val otherParty: Party`
progressTracker | `open val progressTracker: ProgressTracker` Override this to provide a ProgressTracker. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

### Functions

assembleSharedTX | `open fun assembleSharedTX(handshake: Handshake<AutoOffer>): Pair<TransactionBuilder, List<CompositeKey>>`
validateHandshake | `open fun validateHandshake(handshake: Handshake<AutoOffer>): Handshake<AutoOffer>`

### Inherited Functions

call | `open fun call(): SignedTransaction` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.